Subject: [PATCH v2] arm64: dma-mapping: Fix dma_mapping_error() when bypassing SWIOTLB

From: [email-masked] (Will Deacon)
Date: Fri, 27 Jan 2017 09:53:24 +0000

On Thu, Jan 26, 2017 at 03:20:47PM +0000, Robin Murphy wrote:
> On 26/01/17 12:52, Will Deacon wrote:
> > 3. We bite the bullet and implement some non-swiotlb DMA ops for the case
> >    when SWIOTLB is not used.
> 
> I'd already started thinking along those lines in the process of writing
> this patch - I'm happy to take that on, although it might be a wee bit
> tight for 4.11 now.

Ok, so I've merged this patch as-is for 4.11 because it is an improvement
over what we had before. Let's look at using separate ops in the long run.

Will